import { ViewContainerRef } from '@angular/core';
import { TooltipContent } from './TooltipContent';
export declare class Tooltip {
    private viewContainerRef;
    private tooltip;
    private visible;
    constructor(viewContainerRef: ViewContainerRef);
    content: string | TooltipContent;
    tooltipDisabled: boolean;
    tooltipAnimation: boolean;
    tooltipPlacement: 'top' | 'bottom' | 'left' | 'right';
    visibility: {
        value: boolean;
        clickOutside?: boolean;
    };
    ngOnChanges(changes: any): void;
    show(): void;
    hide(): void;
}
